#ifndef __ui_utils_h
#define __ui_utils_h
#include <QWidget>
#include <QString>
#include <QPoint>
#include <QSize>
#include <QDateTime>
namespace UiUtils {
	bool IsInDarkMode();
	std::string GetLengthFromQDateTime(QDateTime stamp);
	QPlainTextEdit* CreateTextParagraph(QWidget* parent, QString title, QString data, QPoint point, QSize size);
	QPlainTextEdit* CreateTextParagraphWithLabels(QWidget* parent, QString title, QString label, QString data, QPoint point, QSize size);
	QPlainTextEdit* CreateSelectableTextParagraph(QWidget* parent, QString title, QString data, QPoint point, QSize size);
	void CreateTextHeader(QWidget* parent, QString title, QPoint point, QSize size);
};
#endif // __ui_utils_h